Type to search.

Get workflows by IDs

Base URL
https://{kibana_url}
  • POST /api/workflows/mget
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Retrieve multiple workflows by their IDs in a single request. Optionally use the source parameter to return only specific fields from each workflow document.

Required privileges

Privileges workflowsManagement:read or workflowsManagement:managed:read

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

ids string[] · min items: 1 · max items: 500 required

Array of workflow IDs to look up.

source string[] · min items: 1 · max items: 10

Array of source fields to include.

Response

200

Indicates a successful response

application/json